Aquarius

Get Aquarius positions

GET
/v1/users/{address}/positions/aquarius

Path Parameters

address*string

Stellar account address

Query Parameters

as_of_ledger?|

Return data as of this ledger sequence number.

Formatint64
Range0 <= value

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/string/positions/aquarius"
{  "data": {    "address": "string",    "pools": [      {        "cost_basis": null,        "emission_apy": "string",        "fee_apy": "string",        "net_usd": "string",        "pool_address": "string",        "pool_share_pct": "string",        "pool_type": "string",        "tokens": [          {            "asset_address": "string",            "decimals": 0,            "symbol": "string",            "units": "string",            "usd_value": "string"          }        ]      }    ]  },  "enrichment": {    "assets": {      "property1": {        "decimals": 0,        "price_source": null,        "price_usd": "string",        "symbol": "string",        "tags": [          "string"        ]      },      "property2": {        "decimals": 0,        "price_source": null,        "price_usd": "string",        "symbol": "string",        "tags": [          "string"        ]      }    },    "contracts": {      "property1": {        "name": "string",        "position_types": [          "collateral"        ],        "protocol": "string",        "status": "active",        "version": "string"      },      "property2": {        "name": "string",        "position_types": [          "collateral"        ],        "protocol": "string",        "status": "active",        "version": "string"      }    }  },  "meta": {    "attribution_confidence": 0.1,    "data_staleness_seconds": 0,    "last_indexed_ledger": 0,    "oracle_staleness_seconds": 0,    "partial_result": true,    "response_time_ms": 0,    "sources": [      "soroban_rpc"    ]  }}